### Method

# Ide EditorPage addin_find_by_module_name

#### Declaration

    IdeEditorPageAddin*
    ide_editor_page_addin_find_by_module_name (
      IdeEditorPage* page,
      const gchar* module_name
    )

#### Description

This function will locate the `IdeEditorPageAddin` that was registered by the addin named `module_name` (which should match the module_name provided in the .plugin file).

If no module was found or that module does not implement the `IdeEditorPageAddinInterface`, then `NULL` is returned.

Available since: | 3.32

#### Parameters

`module_name` | `const gchar*`
| The module name which provides the addin.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `IdeEditorPageAddin`
| An `IdeEditorPageAddin` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.